(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     67505,       1558]
NotebookOptionsPosition[     66678,       1523]
NotebookOutlinePosition[     67068,       1540]
CellTagsIndexPosition[     67025,       1537]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["\:4f4d\:7f6e\:30d9\:30af\:30c8\:30eb", "Subtitle",
 CellChangeTimes->{{3.6188860478306236`*^9, 3.618886058141655*^9}, {
  3.619332290313712*^9, 3.6193322905477123`*^9}, {3.6227861804495373`*^9, 
  3.622786185737938*^9}},
 Background->RGBColor[1, 0.9, 0.8]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"Manipulate", "[", 
   RowBox[{
    RowBox[{"Graphics", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Arrowheads", "\[Rule]", "Large"}], ",", 
        RowBox[{"Thickness", "[", "0.009", "]"}], ",", "\[IndentingNewLine]", 
        "                     ", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"PointSize", "[", "Large", "]"}], ",", 
          RowBox[{"Point", "[", "y", "]"}]}], "}"}], ",", 
        "\[IndentingNewLine]", "            \:3000\:3000", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"r3", "\[Equal]", "0"}], ",", " ", 
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{"\"\<A\>\"", ",", "Large"}], "]"}], ",", 
            RowBox[{"y", "+", 
             RowBox[{"{", 
              RowBox[{"0", ",", "0.5"}], " ", "}"}]}]}], "]"}]}], "]"}], ",", 
        " ", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"r1", "\[Equal]", "1"}], ",", 
          RowBox[{"{", "  ", 
           RowBox[{
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"\"\<O\>\"", ",", "Large"}], "]"}], ",", 
              RowBox[{"x", "+", 
               RowBox[{"{", 
                RowBox[{"0.5", ",", 
                 RowBox[{"-", "0.5"}]}], "}"}]}]}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"Red", ",", 
              RowBox[{"Text", "[", 
               RowBox[{
                RowBox[{"Style", "[", 
                 RowBox[{
                 "\"\<\!\(\*OverscriptBox[\(a\), \(\[RightVector]\)]\)\>\"", 
                  ",", "Large"}], "]"}], ",", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{"y", "-", "x"}], ")"}], ".", 
                    RowBox[{"(", GridBox[{
                    {"0", 
                    RowBox[{"-", "1"}]},
                    {"1", "0"}
                    }], ")"}]}], "/", 
                   RowBox[{"(", 
                    RowBox[{"Norm", "[", 
                    RowBox[{"y", "-", "x"}], "]"}], ")"}]}], "+", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"x", "+", "y"}], ")"}], "/", "2"}]}], ")"}]}], 
               "]"}]}], " ", "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"Red", ",", 
              RowBox[{"Arrow", "[", 
               RowBox[{"{", 
                RowBox[{"x", ",", "y"}], "}"}], "]"}]}], "}"}]}], "  ", 
           "}"}]}], "]"}], "\[IndentingNewLine]", ",", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"r2", "\[Equal]", "1"}], ",", 
          RowBox[{"{", "  ", 
           RowBox[{
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"\"\<O\>\"", ",", "Large"}], "]"}], ",", 
              RowBox[{"x", "+", 
               RowBox[{"{", 
                RowBox[{"0.5", ",", 
                 RowBox[{"-", "0.5"}]}], "}"}]}]}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"PointSize", "[", "Large", "]"}], ",", 
              RowBox[{"Point", "[", "x", "]"}]}], "}"}]}], "  ", "}"}]}], 
         "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"r3", "\[Equal]", "1"}], ",", 
          RowBox[{"{", "  ", 
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{
              "\"\<A(\!\(\*OverscriptBox[\(a\), \(\[RightVector]\)]\))\>\"", 
               ",", "Large"}], "]"}], ",", 
             RowBox[{"y", "+", 
              RowBox[{"{", 
               RowBox[{"0", ",", "0.5"}], " ", "}"}]}]}], "]"}], "  ", 
           "}"}]}], "]"}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
       "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"r4", "\[Equal]", "1"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"GridLines", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Range", "[", 
              RowBox[{
               RowBox[{"-", "10"}], ",", "10", ",", "1"}], "]"}], ",", 
             RowBox[{"Range", "[", 
              RowBox[{
               RowBox[{"-", "6"}], ",", "6", ",", "1"}], "]"}]}], "}"}]}], 
          ",", 
          RowBox[{"GridLinesStyle", "\[Rule]", "Dotted"}], ",", 
          RowBox[{"PlotRange", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "8"}], ",", "8"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "6"}], ",", "6"}], "}"}]}], "}"}]}]}], "}"}], ",", 
        RowBox[{"PlotRange", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "8"}], ",", "8"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "6"}], ",", "6"}], "}"}]}], "}"}]}]}], "]"}]}], 
     "]"}], ",", "\[IndentingNewLine]", " ", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"r2", ",", "0", ",", "\"\<\:70b9O\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "r1", ",", "1", ",", "\"\<\:4f4d\:7f6e\:30d9\:30af\:30c8\:30eb\>\""}], 
       "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "r3", ",", "0", ",", 
        "\"\<A(\!\(\*OverscriptBox[\(a\), \(\[RightVector]\)]\))\>\""}], 
       "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"r4", ",", "0", ",", "\"\<\:683c\:5b50\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"x", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0"}], "}"}]}], "}"}], ",", "Locator"}], "}"}], 
    ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"y", ",", 
        RowBox[{"{", 
         RowBox[{"2", ",", "2"}], "}"}]}], "}"}], ",", "Locator"}], "}"}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.6191595847235727`*^9, 3.6191596579187727`*^9}, {
   3.619159742267973*^9, 3.619159748882373*^9}, {3.6192053512006626`*^9, 
   3.6192053895923295`*^9}, {3.619205516560953*^9, 3.6192055944830894`*^9}, {
   3.619205643685576*^9, 3.619205832196307*^9}, {3.6192059942181916`*^9, 
   3.6192060146386275`*^9}, {3.619206096772772*^9, 3.619206185380927*^9}, {
   3.619206215956981*^9, 3.619206300259529*^9}, {3.6192064474301877`*^9, 
   3.6192064807674465`*^9}, {3.6192065331055384`*^9, 3.619206535211542*^9}, {
   3.6192066042844644`*^9, 3.6192066879630117`*^9}, {3.6192067442635107`*^9, 
   3.619206757773134*^9}, {3.6193186774266977`*^9, 3.6193187805270977`*^9}, {
   3.619320026577098*^9, 3.6193201135002975`*^9}, {3.619320235320698*^9, 
   3.6193202387370977`*^9}, {3.6193202697342978`*^9, 
   3.6193204397586975`*^9}, {3.6193204702254977`*^9, 3.619320473704298*^9}, {
   3.619320509069498*^9, 3.619320539115098*^9}, {3.619320634805498*^9, 
   3.619320658829498*^9}, {3.619320697907498*^9, 3.6193207173606977`*^9}, {
   3.619320755877098*^9, 3.6193207650186977`*^9}, {3.619320919801898*^9, 
   3.6193209308310976`*^9}, {3.619320982981898*^9, 3.619321052807498*^9}, {
   3.6193299042290974`*^9, 3.619330002368697*^9}, {3.619330035799497*^9, 
   3.6193301017718973`*^9}, {3.619330138463097*^9, 3.619330240721097*^9}, {
   3.619330274994297*^9, 3.619330289595897*^9}, {3.6193304090734787`*^9, 
   3.6193304252188573`*^9}, {3.6193304783036156`*^9, 
   3.6193305745519133`*^9}, {3.619330618869809*^9, 3.619330638540723*^9}, {
   3.619330668897934*^9, 3.6193307279899764`*^9}, {3.6193312455193124`*^9, 
   3.6193313420833125`*^9}, {3.619331391862912*^9, 3.619331396730112*^9}, {
   3.619331428101712*^9, 3.6193314747925124`*^9}, {3.6193315122481127`*^9, 
   3.6193315308589125`*^9}, {3.6193316140849123`*^9, 
   3.6193316880289125`*^9}, {3.6193317442981124`*^9, 
   3.6193318923265123`*^9}, {3.619332005161312*^9, 3.6193320306205125`*^9}, {
   3.6193321137529125`*^9, 3.6193321972285123`*^9}, {3.6193325031133127`*^9, 
   3.6193325099305124`*^9}, {3.6227866354193373`*^9, 
   3.6227866720013375`*^9}, {3.622786709238538*^9, 3.6227867468345375`*^9}, {
   3.6227868168317375`*^9, 3.622786986930938*^9}, {3.622787036991338*^9, 
   3.6227870607033377`*^9}, {3.6227871508089375`*^9, 
   3.6227871646461377`*^9}, {3.6227873190393376`*^9, 
   3.6227873379777374`*^9}, {3.6227873686317377`*^9, 
   3.6227873812521377`*^9}, {3.622787538546938*^9, 3.6227875967193375`*^9}, {
   3.622787641428938*^9, 3.6227876597901373`*^9}, {3.6227877252165375`*^9, 
   3.622787741471738*^9}, 3.622787940184538*^9, {3.6227879893089375`*^9, 
   3.622788208816538*^9}, {3.622788252106538*^9, 3.6227884940905375`*^9}, {
   3.6227885317801375`*^9, 3.6227886186097374`*^9}, {3.6227886507457376`*^9, 
   3.6227888730769377`*^9}, {3.6227889141205378`*^9, 
   3.6227889957397375`*^9}, {3.6227890484365377`*^9, 3.622789092537738*^9}, {
   3.6227891540797377`*^9, 3.6227893043389378`*^9}, {3.6227893413577375`*^9, 
   3.6227893709353375`*^9}, {3.6228341520436735`*^9, 
   3.6228342744339995`*^9}, {3.6228343677929916`*^9, 3.622834408522691*^9}, {
   3.6228344967807693`*^9, 3.622834611874916*^9}, {3.6228346677922735`*^9, 
   3.6228346715668926`*^9}, {3.6228347160980406`*^9, 3.622834745437126*^9}, {
   3.622834795599008*^9, 3.622834851656782*^9}, 3.6228354089963493`*^9, {
   3.622835487737072*^9, 3.622835488906952*^9}, {3.6228517360319505`*^9, 
   3.622851888770571*^9}, {3.622869944764762*^9, 3.6228699498657002`*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`r1$$ = 0, $CellContext`r2$$ = 
    0, $CellContext`r3$$ = 0, $CellContext`r4$$ = 
    1, $CellContext`x$$ = {-4.92, -2.82}, $CellContext`y$$ = {2, 2}, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"\:540d\:79f0\:672a\:5b9a\:7fa9\"", 
    Typeset`specs$$ = {{{
       Hold[$CellContext`r2$$], 0, "\:70b9O"}, {0, 1}}, {{
       Hold[$CellContext`r1$$], 1, "\:4f4d\:7f6e\:30d9\:30af\:30c8\:30eb"}, {
      0, 1}}, {{
       Hold[$CellContext`r3$$], 0, 
       "A(\!\(\*OverscriptBox[\(a\), \(\[RightVector]\)]\))"}, {0, 1}}, {{
       Hold[$CellContext`r4$$], 0, "\:683c\:5b50"}, {0, 1}}, {{
       Hold[$CellContext`x$$], {0, 0}}, Automatic}, {{
       Hold[$CellContext`y$$], {2, 2}}, Automatic}}, Typeset`size$$ = {
    324., {120., 123.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`r2$589$$ = 
    False, $CellContext`r1$590$$ = False, $CellContext`r3$591$$ = 
    False, $CellContext`r4$592$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`r1$$ = 1, $CellContext`r2$$ = 
        0, $CellContext`r3$$ = 0, $CellContext`r4$$ = 
        0, $CellContext`x$$ = {0, 0}, $CellContext`y$$ = {2, 2}}, 
      "ControllerVariables" :> {
        Hold[$CellContext`r2$$, $CellContext`r2$589$$, False], 
        Hold[$CellContext`r1$$, $CellContext`r1$590$$, False], 
        Hold[$CellContext`r3$$, $CellContext`r3$591$$, False], 
        Hold[$CellContext`r4$$, $CellContext`r4$592$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Graphics[{Arrowheads -> Large, 
         Thickness[0.009], {
          PointSize[Large], 
          Point[$CellContext`y$$]}, 
         If[$CellContext`r3$$ == 0, 
          Text[
           Style["A", Large], $CellContext`y$$ + {0, 0.5}]], 
         If[$CellContext`r1$$ == 1, {
           Text[
            Style["O", Large], $CellContext`x$$ + {0.5, -0.5}], {Red, 
            Text[
             Style["\!\(\*OverscriptBox[\(a\), \(\[RightVector]\)]\)", Large],
              Dot[$CellContext`y$$ - $CellContext`x$$, {{0, -1}, {1, 0}}]/
              Norm[$CellContext`y$$ - $CellContext`x$$] + ($CellContext`x$$ + \
$CellContext`y$$)/2]}, {Red, 
            Arrow[{$CellContext`x$$, $CellContext`y$$}]}}], 
         If[$CellContext`r2$$ == 1, {
           Text[
            Style["O", Large], $CellContext`x$$ + {0.5, -0.5}], {
            PointSize[Large], 
            Point[$CellContext`x$$]}}], 
         If[$CellContext`r3$$ == 1, {
           Text[
            Style[
            "A(\!\(\*OverscriptBox[\(a\), \(\[RightVector]\)]\))", 
             Large], $CellContext`y$$ + {0, 0.5}]}]}, 
        If[$CellContext`r4$$ == 1, {GridLines -> {
            Range[-10, 10, 1], 
            Range[-6, 6, 1]}, GridLinesStyle -> Dotted, 
          PlotRange -> {{-8, 8}, {-6, 6}}}, PlotRange -> {{-8, 8}, {-6, 6}}]],
       "Specifications" :> {{{$CellContext`r2$$, 0, "\:70b9O"}, {0, 
         1}}, {{$CellContext`r1$$, 1, 
          "\:4f4d\:7f6e\:30d9\:30af\:30c8\:30eb"}, {0, 
         1}}, {{$CellContext`r3$$, 0, 
          "A(\!\(\*OverscriptBox[\(a\), \(\[RightVector]\)]\))"}, {0, 
         1}}, {{$CellContext`r4$$, 0, "\:683c\:5b50"}, {0, 
         1}}, {{$CellContext`x$$, {0, 0}}, Automatic, ControlType -> 
         Locator}, {{$CellContext`y$$, {2, 2}}, Automatic, ControlType -> 
         Locator}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{375., {186., 193.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.622834275384453*^9, {3.6228343804079714`*^9, 3.622834409629815*^9}, {
   3.6228345856937656`*^9, 3.6228346128887215`*^9}, 3.622834673189043*^9, 
   3.622834728186181*^9, {3.6228348242829943`*^9, 3.622834852499053*^9}, 
   3.622835409932253*^9, 3.622835667276438*^9, 3.6228517485274706`*^9, 
   3.622851779586871*^9, 3.6228518280089607`*^9, {3.622851869145897*^9, 
   3.6228518897377653`*^9}, 3.6228699537655*^9}]
}, {2}]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[
 RowBox[{
  OverscriptBox["AB", "\[RightVector]"], "=", 
  RowBox[{
   OverscriptBox["b", "\[RightVector]"], "-", 
   OverscriptBox["a", "\[RightVector]"]}]}]],
 CellChangeTimes->{{3.6191595847235727`*^9, 3.6191596579187727`*^9}, {
   3.619159742267973*^9, 3.619159748882373*^9}, {3.6192053512006626`*^9, 
   3.6192053895923295`*^9}, {3.619205516560953*^9, 3.6192055944830894`*^9}, {
   3.619205643685576*^9, 3.619205832196307*^9}, {3.6192059942181916`*^9, 
   3.6192060146386275`*^9}, {3.619206096772772*^9, 3.619206185380927*^9}, {
   3.619206215956981*^9, 3.619206300259529*^9}, {3.6192064474301877`*^9, 
   3.6192064807674465`*^9}, {3.6192065331055384`*^9, 3.619206535211542*^9}, {
   3.6192066042844644`*^9, 3.6192066879630117`*^9}, {3.6192067442635107`*^9, 
   3.619206757773134*^9}, {3.6193186774266977`*^9, 3.6193187805270977`*^9}, {
   3.619320026577098*^9, 3.6193201135002975`*^9}, {3.619320235320698*^9, 
   3.6193202387370977`*^9}, {3.6193202697342978`*^9, 
   3.6193204397586975`*^9}, {3.6193204702254977`*^9, 3.619320473704298*^9}, {
   3.619320509069498*^9, 3.619320539115098*^9}, {3.619320634805498*^9, 
   3.619320658829498*^9}, {3.619320697907498*^9, 3.6193207173606977`*^9}, {
   3.619320755877098*^9, 3.6193207650186977`*^9}, {3.619320919801898*^9, 
   3.6193209308310976`*^9}, {3.619320982981898*^9, 3.619321052807498*^9}, {
   3.6193299042290974`*^9, 3.619330002368697*^9}, {3.619330035799497*^9, 
   3.6193301017718973`*^9}, {3.619330138463097*^9, 3.619330240721097*^9}, {
   3.619330274994297*^9, 3.619330289595897*^9}, {3.6193304090734787`*^9, 
   3.6193304252188573`*^9}, {3.6193304783036156`*^9, 
   3.6193305745519133`*^9}, {3.619330618869809*^9, 3.619330638540723*^9}, {
   3.619330668897934*^9, 3.6193307279899764`*^9}, {3.6193312455193124`*^9, 
   3.6193313420833125`*^9}, {3.619331391862912*^9, 3.619331396730112*^9}, {
   3.619331428101712*^9, 3.6193314747925124`*^9}, {3.6193315122481127`*^9, 
   3.6193315308589125`*^9}, {3.6193316140849123`*^9, 
   3.6193316880289125`*^9}, {3.6193317442981124`*^9, 
   3.6193318923265123`*^9}, {3.619332005161312*^9, 3.6193320306205125`*^9}, {
   3.6193321137529125`*^9, 3.6193321972285123`*^9}, {3.6193325031133127`*^9, 
   3.6193325099305124`*^9}, {3.6227866354193373`*^9, 
   3.6227866720013375`*^9}, {3.622786709238538*^9, 3.6227867468345375`*^9}, {
   3.6227868168317375`*^9, 3.622786986930938*^9}, {3.622787036991338*^9, 
   3.6227870607033377`*^9}, {3.6227871508089375`*^9, 
   3.6227871646461377`*^9}, {3.6227873190393376`*^9, 
   3.6227873379777374`*^9}, {3.6227873686317377`*^9, 
   3.6227873812521377`*^9}, {3.622787538546938*^9, 3.6227875967193375`*^9}, {
   3.622787641428938*^9, 3.6227876597901373`*^9}, {3.6227877252165375`*^9, 
   3.622787741471738*^9}, 3.622787940184538*^9, {3.6227879893089375`*^9, 
   3.622788208816538*^9}, {3.622788252106538*^9, 3.6227884940905375`*^9}, {
   3.6227885317801375`*^9, 3.6227886186097374`*^9}, {3.6227886507457376`*^9, 
   3.6227888730769377`*^9}, {3.6227889141205378`*^9, 
   3.6227889957397375`*^9}, {3.6227890484365377`*^9, 3.622789092537738*^9}, {
   3.6227891540797377`*^9, 3.6227893043389378`*^9}, {3.6227893413577375`*^9, 
   3.6227893709353375`*^9}, {3.6228341520436735`*^9, 
   3.6228342744339995`*^9}, {3.6228343677929916`*^9, 3.622834408522691*^9}, {
   3.6228344967807693`*^9, 3.622834611874916*^9}, {3.6228346677922735`*^9, 
   3.6228346715668926`*^9}, {3.6228347160980406`*^9, 3.622834745437126*^9}, {
   3.622834795599008*^9, 3.622834851656782*^9}, 3.6228354089963493`*^9, {
   3.622835487737072*^9, 3.622835488906952*^9}, {3.6228357019224834`*^9, 
   3.622835955317877*^9}, {3.6228360029122562`*^9, 3.6228360221465635`*^9}, {
   3.622836132770276*^9, 3.6228361489174147`*^9}, {3.622851941217435*^9, 
   3.622851983290365*^9}, {3.622852028717274*^9, 3.6228520978092313`*^9}, {
   3.622853228698037*^9, 3.622853297824296*^9}, {3.622853537416735*^9, 
   3.622853703077202*^9}, {3.622853738804431*^9, 
   3.6228537728282495`*^9}}]], "Subtitle",
 CellChangeTimes->{{3.6188860478306236`*^9, 3.618886058141655*^9}, {
  3.6228538006848307`*^9, 3.6228538083444796`*^9}},
 Background->RGBColor[1, 0.9, 0.8]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"Manipulate", "[", 
   RowBox[{
    RowBox[{"Graphics", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Arrowheads", "\[Rule]", "Large"}], ",", 
        RowBox[{"Thickness", "[", "0.009", "]"}], ",", "\[IndentingNewLine]", 
        "                     ", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"PointSize", "[", "Large", "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "4"}], ",", "4"}], "}"}], "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{"{", 
            RowBox[{"4", ",", "0"}], "}"}], "]"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"Blue", ",", 
          RowBox[{"Arrow", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"4", ",", "0"}], "}"}]}], "}"}], "]"}]}], "}"}], ",", 
        "\[IndentingNewLine]", "            \:3000\:3000", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"r3", "\[Equal]", "0"}], ",", " ", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"\"\<A\>\"", ",", "Large"}], "]"}], ",", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", "4"}], ",", "4"}], "}"}], "+", 
               RowBox[{"{", 
                RowBox[{"0", ",", "0.5"}], " ", "}"}]}]}], "]"}], ",", 
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"\"\<B\>\"", ",", "Large"}], "]"}], ",", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"4", ",", "0"}], "}"}], "+", 
               RowBox[{"{", 
                RowBox[{"0", ",", "0.5"}], " ", "}"}]}]}], "]"}]}], "}"}]}], 
         "]"}], ",", " ", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"r1", "\[Equal]", "1"}], ",", 
          RowBox[{"{", "  ", 
           RowBox[{
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"\"\<O\>\"", ",", "Large"}], "]"}], ",", 
              RowBox[{"x", "+", 
               RowBox[{"{", 
                RowBox[{"0.5", ",", 
                 RowBox[{"-", "0.5"}]}], "}"}]}]}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"Red", ",", 
              RowBox[{"Text", "[", 
               RowBox[{
                RowBox[{"Style", "[", 
                 RowBox[{
                 "\"\<\!\(\*OverscriptBox[\(a\), \(\[RightVector]\)]\)\>\"", 
                  ",", "Large"}], "]"}], ",", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "4"}], ",", "4"}], "}"}], "-", "x"}], ")"}], 
                    ".", 
                    RowBox[{"(", GridBox[{
                    {"0", 
                    RowBox[{"-", "1"}]},
                    {"1", "0"}
                    }], ")"}]}], "/", 
                   RowBox[{"(", 
                    RowBox[{"Norm", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "4"}], ",", "4"}], "}"}], "-", "x"}], "]"}], 
                    ")"}]}], "+", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"x", "+", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "4"}], ",", "4"}], "}"}]}], ")"}], "/", 
                   "2"}]}], ")"}]}], "]"}]}], " ", "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"Red", ",", 
              RowBox[{"Arrow", "[", 
               RowBox[{"{", 
                RowBox[{"x", ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"-", "4"}], ",", "4"}], "}"}]}], "}"}], "]"}]}], 
             "}"}], ",", "\[IndentingNewLine]", 
            RowBox[{"{", 
             RowBox[{"Red", ",", 
              RowBox[{"Text", "[", 
               RowBox[{
                RowBox[{"Style", "[", 
                 RowBox[{
                 "\"\<\!\(\*OverscriptBox[\(b\), \(\[RightVector]\)]\)\>\"", 
                  ",", "Large"}], "]"}], ",", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"4", ",", "0"}], "}"}], "-", "x"}], ")"}], ".", 
                    RowBox[{"(", GridBox[{
                    {"0", 
                    RowBox[{"-", "1"}]},
                    {"1", "0"}
                    }], ")"}]}], "/", 
                   RowBox[{"(", 
                    RowBox[{"Norm", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"4", ",", "0"}], "}"}], "-", "x"}], "]"}], 
                    ")"}]}], "+", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"x", "+", 
                    RowBox[{"{", 
                    RowBox[{"4", ",", "0"}], "}"}]}], ")"}], "/", "2"}]}], 
                 ")"}]}], "]"}]}], " ", "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"Red", ",", 
              RowBox[{"Arrow", "[", 
               RowBox[{"{", 
                RowBox[{"x", ",", 
                 RowBox[{"{", 
                  RowBox[{"4", ",", "0"}], "}"}]}], "}"}], "]"}]}], "}"}], 
            ","}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", "  ", "}"}]}], "]"}], "\[IndentingNewLine]",
         ",", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"r2", "\[Equal]", "1"}], ",", 
          RowBox[{"{", "  ", 
           RowBox[{
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"\"\<O\>\"", ",", "Large"}], "]"}], ",", 
              RowBox[{"x", "+", 
               RowBox[{"{", 
                RowBox[{"0.5", ",", 
                 RowBox[{"-", "0.5"}]}], "}"}]}]}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"PointSize", "[", "Large", "]"}], ",", 
              RowBox[{"Point", "[", "x", "]"}]}], "}"}]}], "  ", "}"}]}], 
         "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"r3", "\[Equal]", "1"}], ",", 
          RowBox[{"{", "  ", 
           RowBox[{
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{
               "\"\<A(\!\(\*OverscriptBox[\(a\), \(\[RightVector]\)]\))\>\"", 
                ",", "Large"}], "]"}], ",", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", "4"}], ",", "4"}], "}"}], "+", 
               RowBox[{"{", 
                RowBox[{"0", ",", "0.5"}], " ", "}"}]}]}], "]"}], " ", ",", 
            "  ", 
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{
               "\"\<B(\!\(\*OverscriptBox[\(b\), \(\[RightVector]\)]\))\>\"", 
                ",", "Large"}], "]"}], ",", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"4", ",", "0"}], "}"}], "+", 
               RowBox[{"{", 
                RowBox[{"0", ",", "0.5"}], " ", "}"}]}]}], "]"}], "  ", ",", 
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{
               "\"\<\!\(\*OverscriptBox[\(AB\), \
\(\[RightVector]\)]\)=\!\(\*OverscriptBox[\(b\), \
\(\[RightVector]\)]\)-\!\(\*OverscriptBox[\(a\), \(\[RightVector]\)]\)\>\"", 
                ",", "Large"}], "]"}], ",", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"2", ",", "2"}], "}"}], "+", 
               RowBox[{"{", 
                RowBox[{"0", ",", "1"}], "}"}]}]}], "]"}]}], "}"}]}], "]"}]}],
        "\[IndentingNewLine]", "\[IndentingNewLine]", "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"r4", "\[Equal]", "1"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"GridLines", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Range", "[", 
              RowBox[{
               RowBox[{"-", "10"}], ",", "10", ",", "1"}], "]"}], ",", 
             RowBox[{"Range", "[", 
              RowBox[{
               RowBox[{"-", "6"}], ",", "6", ",", "1"}], "]"}]}], "}"}]}], 
          ",", 
          RowBox[{"GridLinesStyle", "\[Rule]", "Dotted"}], ",", 
          RowBox[{"PlotRange", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "8"}], ",", "8"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "6"}], ",", "6"}], "}"}]}], "}"}]}]}], "}"}], ",", 
        RowBox[{"PlotRange", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "8"}], ",", "8"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "6"}], ",", "6"}], "}"}]}], "}"}]}]}], "]"}]}], 
     "]"}], ",", "\[IndentingNewLine]", " ", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"r2", ",", "0", ",", "\"\<\:70b9O\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "r1", ",", "1", ",", "\"\<\:4f4d\:7f6e\:30d9\:30af\:30c8\:30eb\>\""}], 
       "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "r3", ",", "0", ",", 
        "\"\<A(\!\(\*OverscriptBox[\(a\), \(\[RightVector]\)]\))\>\""}], 
       "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"r4", ",", "0", ",", "\"\<\:683c\:5b50\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"x", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0"}], "}"}]}], "}"}], ",", "Locator"}], "}"}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.6191595847235727`*^9, 3.6191596579187727`*^9}, {
   3.619159742267973*^9, 3.619159748882373*^9}, {3.6192053512006626`*^9, 
   3.6192053895923295`*^9}, {3.619205516560953*^9, 3.6192055944830894`*^9}, {
   3.619205643685576*^9, 3.619205832196307*^9}, {3.6192059942181916`*^9, 
   3.6192060146386275`*^9}, {3.619206096772772*^9, 3.619206185380927*^9}, {
   3.619206215956981*^9, 3.619206300259529*^9}, {3.6192064474301877`*^9, 
   3.6192064807674465`*^9}, {3.6192065331055384`*^9, 3.619206535211542*^9}, {
   3.6192066042844644`*^9, 3.6192066879630117`*^9}, {3.6192067442635107`*^9, 
   3.619206757773134*^9}, {3.6193186774266977`*^9, 3.6193187805270977`*^9}, {
   3.619320026577098*^9, 3.6193201135002975`*^9}, {3.619320235320698*^9, 
   3.6193202387370977`*^9}, {3.6193202697342978`*^9, 
   3.6193204397586975`*^9}, {3.6193204702254977`*^9, 3.619320473704298*^9}, {
   3.619320509069498*^9, 3.619320539115098*^9}, {3.619320634805498*^9, 
   3.619320658829498*^9}, {3.619320697907498*^9, 3.6193207173606977`*^9}, {
   3.619320755877098*^9, 3.6193207650186977`*^9}, {3.619320919801898*^9, 
   3.6193209308310976`*^9}, {3.619320982981898*^9, 3.619321052807498*^9}, {
   3.6193299042290974`*^9, 3.619330002368697*^9}, {3.619330035799497*^9, 
   3.6193301017718973`*^9}, {3.619330138463097*^9, 3.619330240721097*^9}, {
   3.619330274994297*^9, 3.619330289595897*^9}, {3.6193304090734787`*^9, 
   3.6193304252188573`*^9}, {3.6193304783036156`*^9, 
   3.6193305745519133`*^9}, {3.619330618869809*^9, 3.619330638540723*^9}, {
   3.619330668897934*^9, 3.6193307279899764`*^9}, {3.6193312455193124`*^9, 
   3.6193313420833125`*^9}, {3.619331391862912*^9, 3.619331396730112*^9}, {
   3.619331428101712*^9, 3.6193314747925124`*^9}, {3.6193315122481127`*^9, 
   3.6193315308589125`*^9}, {3.6193316140849123`*^9, 
   3.6193316880289125`*^9}, {3.6193317442981124`*^9, 
   3.6193318923265123`*^9}, {3.619332005161312*^9, 3.6193320306205125`*^9}, {
   3.6193321137529125`*^9, 3.6193321972285123`*^9}, {3.6193325031133127`*^9, 
   3.6193325099305124`*^9}, {3.6227866354193373`*^9, 
   3.6227866720013375`*^9}, {3.622786709238538*^9, 3.6227867468345375`*^9}, {
   3.6227868168317375`*^9, 3.622786986930938*^9}, {3.622787036991338*^9, 
   3.6227870607033377`*^9}, {3.6227871508089375`*^9, 
   3.6227871646461377`*^9}, {3.6227873190393376`*^9, 
   3.6227873379777374`*^9}, {3.6227873686317377`*^9, 
   3.6227873812521377`*^9}, {3.622787538546938*^9, 3.6227875967193375`*^9}, {
   3.622787641428938*^9, 3.6227876597901373`*^9}, {3.6227877252165375`*^9, 
   3.622787741471738*^9}, 3.622787940184538*^9, {3.6227879893089375`*^9, 
   3.622788208816538*^9}, {3.622788252106538*^9, 3.6227884940905375`*^9}, {
   3.6227885317801375`*^9, 3.6227886186097374`*^9}, {3.6227886507457376`*^9, 
   3.6227888730769377`*^9}, {3.6227889141205378`*^9, 
   3.6227889957397375`*^9}, {3.6227890484365377`*^9, 3.622789092537738*^9}, {
   3.6227891540797377`*^9, 3.6227893043389378`*^9}, {3.6227893413577375`*^9, 
   3.6227893709353375`*^9}, {3.6228341520436735`*^9, 
   3.6228342744339995`*^9}, {3.6228343677929916`*^9, 3.622834408522691*^9}, {
   3.6228344967807693`*^9, 3.622834611874916*^9}, {3.6228346677922735`*^9, 
   3.6228346715668926`*^9}, {3.6228347160980406`*^9, 3.622834745437126*^9}, {
   3.622834795599008*^9, 3.622834851656782*^9}, 3.6228354089963493`*^9, {
   3.622835487737072*^9, 3.622835488906952*^9}, {3.6228357019224834`*^9, 
   3.622835955317877*^9}, {3.6228360029122562`*^9, 3.6228360221465635`*^9}, {
   3.622836132770276*^9, 3.6228361489174147`*^9}, {3.622851941217435*^9, 
   3.622851983290365*^9}, {3.622852028717274*^9, 3.6228520978092313`*^9}, {
   3.622853228698037*^9, 3.622853297824296*^9}, {3.622853537416735*^9, 
   3.622853703077202*^9}, {3.622853738804431*^9, 3.6228537728282495`*^9}, {
   3.6228699954309635`*^9, 3.6228700019982266`*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`r1$$ = 0, $CellContext`r2$$ = 
    0, $CellContext`r3$$ = 0, $CellContext`r4$$ = 
    0, $CellContext`x$$ = {-6.35, -2.6799999999999997`}, Typeset`show$$ = 
    True, Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"\:540d\:79f0\:672a\:5b9a\:7fa9\"", Typeset`specs$$ = {{{
       Hold[$CellContext`r2$$], 0, "\:70b9O"}, {0, 1}}, {{
       Hold[$CellContext`r1$$], 1, "\:4f4d\:7f6e\:30d9\:30af\:30c8\:30eb"}, {
      0, 1}}, {{
       Hold[$CellContext`r3$$], 0, 
       "A(\!\(\*OverscriptBox[\(a\), \(\[RightVector]\)]\))"}, {0, 1}}, {{
       Hold[$CellContext`r4$$], 0, "\:683c\:5b50"}, {0, 1}}, {{
       Hold[$CellContext`x$$], {0, 0}}, Automatic}}, Typeset`size$$ = {
    324., {120., 123.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`r2$1815$$ = 
    False, $CellContext`r1$1816$$ = False, $CellContext`r3$1817$$ = 
    False, $CellContext`r4$1818$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`r1$$ = 1, $CellContext`r2$$ = 
        0, $CellContext`r3$$ = 0, $CellContext`r4$$ = 
        0, $CellContext`x$$ = {0, 0}}, "ControllerVariables" :> {
        Hold[$CellContext`r2$$, $CellContext`r2$1815$$, False], 
        Hold[$CellContext`r1$$, $CellContext`r1$1816$$, False], 
        Hold[$CellContext`r3$$, $CellContext`r3$1817$$, False], 
        Hold[$CellContext`r4$$, $CellContext`r4$1818$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Graphics[{Arrowheads -> Large, 
         Thickness[0.009], {
          PointSize[Large], 
          Point[{-4, 4}], 
          Point[{4, 0}]}, {Blue, 
          Arrow[{{-4, 4}, {4, 0}}]}, 
         If[$CellContext`r3$$ == 0, {
           Text[
            Style["A", Large], {-4, 4} + {0, 0.5}], 
           Text[
            Style["B", Large], {4, 0} + {0, 0.5}]}], 
         If[$CellContext`r1$$ == 1, {
           Text[
            Style["O", Large], $CellContext`x$$ + {0.5, -0.5}], {Red, 
            Text[
             Style["\!\(\*OverscriptBox[\(a\), \(\[RightVector]\)]\)", Large],
              Dot[{-4, 4} - $CellContext`x$$, {{0, -1}, {1, 0}}]/
              Norm[{-4, 4} - $CellContext`x$$] + ($CellContext`x$$ + {-4, 4})/
              2]}, {Red, 
            Arrow[{$CellContext`x$$, {-4, 4}}]}, {Red, 
            Text[
             Style["\!\(\*OverscriptBox[\(b\), \(\[RightVector]\)]\)", Large],
              Dot[{4, 0} - $CellContext`x$$, {{0, -1}, {1, 0}}]/
              Norm[{4, 0} - $CellContext`x$$] + ($CellContext`x$$ + {4, 0})/
              2]}, {Red, 
            Arrow[{$CellContext`x$$, {4, 0}}]}, Null}], 
         If[$CellContext`r2$$ == 1, {
           Text[
            Style["O", Large], $CellContext`x$$ + {0.5, -0.5}], {
            PointSize[Large], 
            Point[$CellContext`x$$]}}], 
         If[$CellContext`r3$$ == 1, {
           Text[
            Style[
            "A(\!\(\*OverscriptBox[\(a\), \(\[RightVector]\)]\))", 
             Large], {-4, 4} + {0, 0.5}], 
           Text[
            Style[
            "B(\!\(\*OverscriptBox[\(b\), \(\[RightVector]\)]\))", Large], {4,
              0} + {0, 0.5}], 
           Text[
            Style[
            "\!\(\*OverscriptBox[\(AB\), \
\(\[RightVector]\)]\)=\!\(\*OverscriptBox[\(b\), \
\(\[RightVector]\)]\)-\!\(\*OverscriptBox[\(a\), \(\[RightVector]\)]\)", 
             Large], {2, 2} + {0, 1}]}]}, 
        If[$CellContext`r4$$ == 1, {GridLines -> {
            Range[-10, 10, 1], 
            Range[-6, 6, 1]}, GridLinesStyle -> Dotted, 
          PlotRange -> {{-8, 8}, {-6, 6}}}, PlotRange -> {{-8, 8}, {-6, 6}}]],
       "Specifications" :> {{{$CellContext`r2$$, 0, "\:70b9O"}, {0, 
         1}}, {{$CellContext`r1$$, 1, 
          "\:4f4d\:7f6e\:30d9\:30af\:30c8\:30eb"}, {0, 
         1}}, {{$CellContext`r3$$, 0, 
          "A(\!\(\*OverscriptBox[\(a\), \(\[RightVector]\)]\))"}, {0, 
         1}}, {{$CellContext`r4$$, 0, "\:683c\:5b50"}, {0, 
         1}}, {{$CellContext`x$$, {0, 0}}, Automatic, ControlType -> 
         Locator}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{375., {186., 193.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.622857824042697*^9, 3.6228700052428603`*^9}]
}, {2}]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "\[EmptyUpTriangle]ABC\:306e\:91cd\:5fc3\:3092G\:ff0cA\:3092\:57fa\:70b9\
\:3068\:3059\:308bB, C\:306e\:4f4d\:7f6e\:30d9\:30af\:30c8\:30eb\:3092\:305d\
\:308c\:305e\:308c",
 Cell[BoxData[
  FormBox[
   OverscriptBox["b", "\[RightVector]"], TraditionalForm]],
  FormatType->"TraditionalForm"],
 "\:ff0c",
 Cell[BoxData[
  FormBox[
   OverscriptBox["c", "\[RightVector]"], TraditionalForm]],
  FormatType->"TraditionalForm"],
 "\:3068\:3059\:308b\:3002\n",
 Cell[BoxData[
  FormBox[
   OverscriptBox["AG", "\[RightVector]"], TraditionalForm]],
  FormatType->"TraditionalForm"],
 "\:3092",
 Cell[BoxData[
  FormBox[
   OverscriptBox["b", "\[RightVector]"], TraditionalForm]],
  FormatType->"TraditionalForm"],
 "\:ff0c",
 Cell[BoxData[
  FormBox[
   OverscriptBox["c", "\[RightVector]"], TraditionalForm]],
  FormatType->"TraditionalForm"],
 "\:3092\:4f7f\:3063\:3066\:8868\:305b\:3002\:3000\:3000\:3000\:3000\:3000\
\:3000(O\:3068A\:3092\:91cd\:306d\:3066\:307f\:308b\:3068\:3069\:3046\:306a\
\:308b\:3067\:3057\:3087\:3046\:ff09"
}], "Subtitle",
 CellChangeTimes->{{3.6188860478306236`*^9, 3.618886058141655*^9}, {
  3.619332290313712*^9, 3.6193322905477123`*^9}, {3.6227861804495373`*^9, 
  3.622786185737938*^9}, {3.622854815458062*^9, 3.6228548853928623`*^9}, {
  3.6228549191044617`*^9, 3.622855092997662*^9}, {3.622857666810297*^9, 
  3.6228577019258966`*^9}},
 Background->RGBColor[1, 0.9, 0.8]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"Manipulate", "[", 
   RowBox[{
    RowBox[{"Graphics", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Arrowheads", "\[Rule]", "Large"}], ",", 
        RowBox[{"Thickness", "[", "0.009", "]"}], ",", "\[IndentingNewLine]", 
        "                     ", 
        RowBox[{"PointSize", "[", "Large", "]"}], ",", 
        RowBox[{"Point", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "4"}], ",", 
           RowBox[{"-", "3"}]}], "}"}], "]"}], ",", 
        RowBox[{"Point", "[", 
         RowBox[{"{", 
          RowBox[{"4", ",", 
           RowBox[{"-", "3"}]}], "}"}], "]"}], ",", 
        RowBox[{"Point", "[", 
         RowBox[{"{", 
          RowBox[{"1", ",", "3"}], "}"}], "]"}], ",", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "4"}], ",", 
             RowBox[{"-", "3"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"4", ",", 
             RowBox[{"-", "3"}]}], "}"}]}], "}"}], "]"}], ",", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "4"}], ",", 
             RowBox[{"-", "3"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"1", ",", "3"}], "}"}]}], "}"}], "]"}], ",", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"1", ",", "3"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"4", ",", 
             RowBox[{"-", "3"}]}], "}"}]}], "}"}], "]"}], ",", 
        "\[IndentingNewLine]", "                     ", 
        RowBox[{"{", 
         RowBox[{"Blue", ",", 
          RowBox[{"Point", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"1", "/", "3"}], ",", 
             RowBox[{"-", "1"}]}], "}"}], "]"}]}], "}"}], ",", 
        "\[IndentingNewLine]", "       ", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{"\"\<A\>\"", ",", "Large"}], "]"}], ",", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "4"}], ",", 
               RowBox[{"-", "3"}]}], "}"}], "+", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "0.3"}], ",", "0.5"}], " ", "}"}]}]}], "]"}], ",", 
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{"\"\<B\>\"", ",", "Large"}], "]"}], ",", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"4", ",", 
               RowBox[{"-", "3"}]}], "}"}], "+", 
             RowBox[{"{", 
              RowBox[{"0.5", ",", "0.5"}], " ", "}"}]}]}], "]"}], ",", 
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{"\"\<C\>\"", ",", "Large"}], "]"}], ",", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"1", ",", "3"}], "}"}], "+", 
             RowBox[{"{", 
              RowBox[{"0.5", ",", "0.5"}], " ", "}"}]}]}], "]"}], ",", 
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{"\"\<G\>\"", ",", "Large"}], "]"}], ",", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"1", "/", "3"}], ",", 
               RowBox[{"-", "1"}]}], "}"}], "+", 
             RowBox[{"{", 
              RowBox[{"0.5", ",", "0.5"}], " ", "}"}]}]}], "]"}]}], "}"}], 
        " ", ",", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"r1", "\[Equal]", "1"}], ",", 
          RowBox[{"{", "  ", 
           RowBox[{
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"\"\<O\>\"", ",", "Large"}], "]"}], ",", 
              RowBox[{"x", "+", 
               RowBox[{"{", 
                RowBox[{"0.5", ",", 
                 RowBox[{"-", "0.5"}]}], "}"}]}]}], "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"Norm", "[", 
                RowBox[{"x", "-", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"-", "4"}], ",", 
                   RowBox[{"-", "3"}]}], "}"}]}], "]"}], ">", "0.1"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"Red", ",", 
                  RowBox[{"Text", "[", 
                   RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    "\"\<\!\(\*OverscriptBox[\(a\), \
\(\[RightVector]\)]\)\>\"", ",", "Large"}], "]"}], ",", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "4"}], ",", 
                    RowBox[{"-", "3"}]}], "}"}], "-", "x"}], ")"}], ".", 
                    RowBox[{"(", GridBox[{
                    {"0", 
                    RowBox[{"-", "1"}]},
                    {"1", "0"}
                    }], ")"}]}], "/", 
                    RowBox[{"(", 
                    RowBox[{"Norm", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "4"}], ",", 
                    RowBox[{"-", "3"}]}], "}"}], "-", "x"}], "]"}], ")"}]}], 
                    "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"x", "+", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "4"}], ",", 
                    RowBox[{"-", "3"}]}], "}"}]}], ")"}], "/", "2"}]}], 
                    ")"}]}], "]"}]}], " ", "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"Red", ",", 
                  RowBox[{"Arrow", "[", 
                   RowBox[{"{", 
                    RowBox[{"x", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "4"}], ",", 
                    RowBox[{"-", "3"}]}], "}"}]}], "}"}], "]"}]}], "}"}]}], 
               "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
            RowBox[{"{", 
             RowBox[{"Red", ",", 
              RowBox[{"Text", "[", 
               RowBox[{
                RowBox[{"Style", "[", 
                 RowBox[{
                 "\"\<\!\(\*OverscriptBox[\(b\), \(\[RightVector]\)]\)\>\"", 
                  ",", "Large"}], "]"}], ",", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"4", ",", 
                    RowBox[{"-", "3"}]}], "}"}], "-", "x"}], ")"}], ".", 
                    RowBox[{"(", GridBox[{
                    {"0", 
                    RowBox[{"-", "1"}]},
                    {"1", "0"}
                    }], ")"}]}], "/", 
                   RowBox[{"(", 
                    RowBox[{"Norm", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"4", ",", 
                    RowBox[{"-", "3"}]}], "}"}], "-", "x"}], "]"}], ")"}]}], 
                  "+", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"x", "+", 
                    RowBox[{"{", 
                    RowBox[{"4", ",", 
                    RowBox[{"-", "3"}]}], "}"}]}], ")"}], "/", "2"}]}], 
                 ")"}]}], "]"}]}], " ", "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"Red", ",", 
              RowBox[{"Arrow", "[", 
               RowBox[{"{", 
                RowBox[{"x", ",", 
                 RowBox[{"{", 
                  RowBox[{"4", ",", 
                   RowBox[{"-", "3"}]}], "}"}]}], "}"}], "]"}]}], "}"}], ",", 
            "\[IndentingNewLine]", "\[IndentingNewLine]", 
            RowBox[{"{", 
             RowBox[{"Red", ",", 
              RowBox[{"Text", "[", 
               RowBox[{
                RowBox[{"Style", "[", 
                 RowBox[{
                 "\"\<\!\(\*OverscriptBox[\(c\), \(\[RightVector]\)]\)\>\"", 
                  ",", "Large"}], "]"}], ",", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1", ",", "3"}], "}"}], "-", "x"}], ")"}], ".", 
                    RowBox[{"(", GridBox[{
                    {"0", 
                    RowBox[{"-", "1"}]},
                    {"1", "0"}
                    }], ")"}]}], "/", 
                   RowBox[{"(", 
                    RowBox[{"Norm", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1", ",", "3"}], "}"}], "-", "x"}], "]"}], 
                    ")"}]}], "+", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"x", "+", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "3"}], "}"}]}], ")"}], "/", "2"}]}], 
                 ")"}]}], "]"}]}], " ", "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"Red", ",", 
              RowBox[{"Arrow", "[", 
               RowBox[{"{", 
                RowBox[{"x", ",", 
                 RowBox[{"{", 
                  RowBox[{"1", ",", "3"}], "}"}]}], "}"}], "]"}]}], "}"}], 
            "\[IndentingNewLine]", ",", 
            RowBox[{"{", 
             RowBox[{"Blue", ",", 
              RowBox[{"Arrow", "[", 
               RowBox[{"{", 
                RowBox[{"x", ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"1", "/", "3"}], ",", 
                   RowBox[{"-", "1"}]}], "}"}]}], "}"}], "]"}]}], "}"}]}], 
           " ", "}"}]}], "]"}], "\[IndentingNewLine]", ",", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"r2", "\[Equal]", "1"}], ",", 
          RowBox[{"{", "  ", 
           RowBox[{
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"\"\<O\>\"", ",", "Large"}], "]"}], ",", 
              RowBox[{"x", "+", 
               RowBox[{"{", 
                RowBox[{"0.5", ",", 
                 RowBox[{"-", "0.5"}]}], "}"}]}]}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"PointSize", "[", "Large", "]"}], ",", 
              RowBox[{"Point", "[", "x", "]"}]}], "}"}]}], "  ", "}"}]}], 
         "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"r3", "\[Equal]", "1"}], ",", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Norm", "[", 
              RowBox[{"x", "-", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", "4"}], ",", 
                 RowBox[{"-", "3"}]}], "}"}]}], "]"}], ">", "0.1"}], ",", 
            RowBox[{"{", " ", 
             RowBox[{"Blue", ",", " ", 
              RowBox[{"Text", "[", 
               RowBox[{
                RowBox[{"Style", "[", 
                 RowBox[{
                 "\"\<\!\(\*OverscriptBox[\(OG\), \
\(\[RightVector]\)]\)=\!\(\*FractionBox[\(\*OverscriptBox[\(a\), \(\
\[RightVector]\)] + \*OverscriptBox[\(b\), \(\[RightVector]\)] + \
\*OverscriptBox[\(c\), \(\[RightVector]\)]\), \(3\)]\)\>\"", ",", "Large"}], 
                 "]"}], ",", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"-", "4"}], ",", "4"}], "}"}], "+", 
                 RowBox[{"{", 
                  RowBox[{"0", ",", "0.5"}], " ", "}"}]}]}], "]"}]}], "}"}], 
            "  ", ",", "\[IndentingNewLine]", 
            "                                                            ", 
            RowBox[{"{", " ", 
             RowBox[{"Blue", ",", " ", 
              RowBox[{"Text", "[", 
               RowBox[{
                RowBox[{"Style", "[", 
                 RowBox[{
                 "\"\<\!\(\*OverscriptBox[\(AG\), \
\(\[RightVector]\)]\)=\!\(\*FractionBox[\(\*OverscriptBox[\(b\), \(\
\[RightVector]\)] + \*OverscriptBox[\(c\), \(\[RightVector]\)]\), \
\(3\)]\)\>\"", ",", "Large"}], "]"}], ",", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"-", "4"}], ",", "4"}], "}"}], "+", 
                 RowBox[{"{", 
                  RowBox[{"0", ",", "0.5"}], " ", "}"}]}]}], "]"}]}], "}"}]}],
            "  ", "]"}]}], "]"}]}], "\[IndentingNewLine]", 
       "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"r4", "\[Equal]", "1"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"GridLines", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Range", "[", 
              RowBox[{
               RowBox[{"-", "10"}], ",", "10", ",", "1"}], "]"}], ",", 
             RowBox[{"Range", "[", 
              RowBox[{
               RowBox[{"-", "6"}], ",", "6", ",", "1"}], "]"}]}], "}"}]}], 
          ",", 
          RowBox[{"GridLinesStyle", "\[Rule]", "Dotted"}], ",", 
          RowBox[{"PlotRange", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "10"}], ",", "10"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "8"}], ",", "8"}], "}"}]}], "}"}]}]}], "}"}], ",", 
        RowBox[{"PlotRange", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "10"}], ",", "10"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "8"}], ",", "8"}], "}"}]}], "}"}]}]}], "]"}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "Large"}]}], "]"}], ",", 
    "\[IndentingNewLine]", " ", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"r2", ",", "0", ",", "\"\<\:70b9O\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "r1", ",", "1", ",", "\"\<\:4f4d\:7f6e\:30d9\:30af\:30c8\:30eb\>\""}], 
       "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "r3", ",", "0", ",", 
        "\"\<\!\(\*OverscriptBox[\(OG\), \(\[RightVector]\)]\)\>\""}], "}"}], 
      ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"r4", ",", "0", ",", "\"\<\:683c\:5b50\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"x", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0"}], "}"}]}], "}"}], ",", "Locator"}], "}"}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.6191595847235727`*^9, 3.6191596579187727`*^9}, {
   3.619159742267973*^9, 3.619159748882373*^9}, {3.6192053512006626`*^9, 
   3.6192053895923295`*^9}, {3.619205516560953*^9, 3.6192055944830894`*^9}, {
   3.619205643685576*^9, 3.619205832196307*^9}, {3.6192059942181916`*^9, 
   3.6192060146386275`*^9}, {3.619206096772772*^9, 3.619206185380927*^9}, {
   3.619206215956981*^9, 3.619206300259529*^9}, {3.6192064474301877`*^9, 
   3.6192064807674465`*^9}, {3.6192065331055384`*^9, 3.619206535211542*^9}, {
   3.6192066042844644`*^9, 3.6192066879630117`*^9}, {3.6192067442635107`*^9, 
   3.619206757773134*^9}, {3.6193186774266977`*^9, 3.6193187805270977`*^9}, {
   3.619320026577098*^9, 3.6193201135002975`*^9}, {3.619320235320698*^9, 
   3.6193202387370977`*^9}, {3.6193202697342978`*^9, 
   3.6193204397586975`*^9}, {3.6193204702254977`*^9, 3.619320473704298*^9}, {
   3.619320509069498*^9, 3.619320539115098*^9}, {3.619320634805498*^9, 
   3.619320658829498*^9}, {3.619320697907498*^9, 3.6193207173606977`*^9}, {
   3.619320755877098*^9, 3.6193207650186977`*^9}, {3.619320919801898*^9, 
   3.6193209308310976`*^9}, {3.619320982981898*^9, 3.619321052807498*^9}, {
   3.6193299042290974`*^9, 3.619330002368697*^9}, {3.619330035799497*^9, 
   3.6193301017718973`*^9}, {3.619330138463097*^9, 3.619330240721097*^9}, {
   3.619330274994297*^9, 3.619330289595897*^9}, {3.6193304090734787`*^9, 
   3.6193304252188573`*^9}, {3.6193304783036156`*^9, 
   3.6193305745519133`*^9}, {3.619330618869809*^9, 3.619330638540723*^9}, {
   3.619330668897934*^9, 3.6193307279899764`*^9}, {3.6193312455193124`*^9, 
   3.6193313420833125`*^9}, {3.619331391862912*^9, 3.619331396730112*^9}, {
   3.619331428101712*^9, 3.6193314747925124`*^9}, {3.6193315122481127`*^9, 
   3.6193315308589125`*^9}, {3.6193316140849123`*^9, 
   3.6193316880289125`*^9}, {3.6193317442981124`*^9, 
   3.6193318923265123`*^9}, {3.619332005161312*^9, 3.6193320306205125`*^9}, {
   3.6193321137529125`*^9, 3.6193321972285123`*^9}, {3.6193325031133127`*^9, 
   3.6193325099305124`*^9}, {3.6227866354193373`*^9, 
   3.6227866720013375`*^9}, {3.622786709238538*^9, 3.6227867468345375`*^9}, {
   3.6227868168317375`*^9, 3.622786986930938*^9}, {3.622787036991338*^9, 
   3.6227870607033377`*^9}, {3.6227871508089375`*^9, 
   3.6227871646461377`*^9}, {3.6227873190393376`*^9, 
   3.6227873379777374`*^9}, {3.6227873686317377`*^9, 
   3.6227873812521377`*^9}, {3.622787538546938*^9, 3.6227875967193375`*^9}, {
   3.622787641428938*^9, 3.6227876597901373`*^9}, {3.6227877252165375`*^9, 
   3.622787741471738*^9}, 3.622787940184538*^9, {3.6227879893089375`*^9, 
   3.622788208816538*^9}, {3.622788252106538*^9, 3.6227884940905375`*^9}, {
   3.6227885317801375`*^9, 3.6227886186097374`*^9}, {3.6227886507457376`*^9, 
   3.6227888730769377`*^9}, {3.6227889141205378`*^9, 
   3.6227889957397375`*^9}, {3.6227890484365377`*^9, 3.622789092537738*^9}, {
   3.6227891540797377`*^9, 3.6227893043389378`*^9}, {3.6227893413577375`*^9, 
   3.6227893709353375`*^9}, {3.6228341520436735`*^9, 
   3.6228342744339995`*^9}, {3.6228343677929916`*^9, 3.622834408522691*^9}, {
   3.6228344967807693`*^9, 3.622834611874916*^9}, {3.6228346677922735`*^9, 
   3.6228346715668926`*^9}, {3.6228347160980406`*^9, 3.622834745437126*^9}, {
   3.622834795599008*^9, 3.622834851656782*^9}, 3.6228354089963493`*^9, {
   3.622835487737072*^9, 3.622835488906952*^9}, {3.6228357019224834`*^9, 
   3.622835955317877*^9}, {3.6228360029122562`*^9, 3.6228360221465635`*^9}, {
   3.622836132770276*^9, 3.6228361489174147`*^9}, {3.622851941217435*^9, 
   3.622851983290365*^9}, {3.622852028717274*^9, 3.6228520978092313`*^9}, {
   3.622853228698037*^9, 3.622853297824296*^9}, {3.622853537416735*^9, 
   3.622853703077202*^9}, {3.622853738804431*^9, 3.6228537728282495`*^9}, {
   3.622855150235862*^9, 3.622855192266262*^9}, {3.622855248348262*^9, 
   3.622855281482662*^9}, {3.622855322947462*^9, 3.622855458558262*^9}, {
   3.6228555313390617`*^9, 3.622855590915462*^9}, {3.622856097854062*^9, 
   3.6228562451648617`*^9}, {3.622856310560062*^9, 3.6228563246936617`*^9}, {
   3.622856373117062*^9, 3.622856439276662*^9}, 3.6228564696976624`*^9, {
   3.622856506092462*^9, 3.622856510164062*^9}, {3.6228565405204816`*^9, 
   3.622856608749195*^9}, {3.622856733086433*^9, 3.622856754144678*^9}, {
   3.622856787728679*^9, 3.6228567973842745`*^9}, {3.622856869743681*^9, 
   3.622857016355517*^9}, {3.622857125927107*^9, 3.6228573102410965`*^9}, {
   3.6228573442334967`*^9, 3.6228574724966965`*^9}, {3.622857553585497*^9, 
   3.6228575932094965`*^9}, {3.6228700473143263`*^9, 3.622870052290535*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`r1$$ = 0, $CellContext`r2$$ = 
    0, $CellContext`r3$$ = 0, $CellContext`r4$$ = 
    0, $CellContext`x$$ = {-8.02, 0.16000000000000014`}, Typeset`show$$ = 
    True, Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"\:540d\:79f0\:672a\:5b9a\:7fa9\"", Typeset`specs$$ = {{{
       Hold[$CellContext`r2$$], 0, "\:70b9O"}, {0, 1}}, {{
       Hold[$CellContext`r1$$], 1, "\:4f4d\:7f6e\:30d9\:30af\:30c8\:30eb"}, {
      0, 1}}, {{
       Hold[$CellContext`r3$$], 0, 
       "\!\(\*OverscriptBox[\(OG\), \(\[RightVector]\)]\)"}, {0, 1}}, {{
       Hold[$CellContext`r4$$], 0, "\:683c\:5b50"}, {0, 1}}, {{
       Hold[$CellContext`x$$], {0, 0}}, Automatic}}, Typeset`size$$ = {
    518., {206., 209.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`r2$2318$$ = 
    False, $CellContext`r1$2319$$ = False, $CellContext`r3$2320$$ = 
    False, $CellContext`r4$2321$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`r1$$ = 1, $CellContext`r2$$ = 
        0, $CellContext`r3$$ = 0, $CellContext`r4$$ = 
        0, $CellContext`x$$ = {0, 0}}, "ControllerVariables" :> {
        Hold[$CellContext`r2$$, $CellContext`r2$2318$$, False], 
        Hold[$CellContext`r1$$, $CellContext`r1$2319$$, False], 
        Hold[$CellContext`r3$$, $CellContext`r3$2320$$, False], 
        Hold[$CellContext`r4$$, $CellContext`r4$2321$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Graphics[{Arrowheads -> Large, 
         Thickness[0.009], 
         PointSize[Large], 
         Point[{-4, -3}], 
         Point[{4, -3}], 
         Point[{1, 3}], 
         Line[{{-4, -3}, {4, -3}}], 
         Line[{{-4, -3}, {1, 3}}], 
         Line[{{1, 3}, {4, -3}}], {Blue, 
          Point[{1/3, -1}]}, {
          Text[
           Style["A", Large], {-4, -3} + {-0.3, 0.5}], 
          Text[
           Style["B", Large], {4, -3} + {0.5, 0.5}], 
          Text[
           Style["C", Large], {1, 3} + {0.5, 0.5}], 
          Text[
           Style["G", Large], {1/3, -1} + {0.5, 0.5}]}, 
         If[$CellContext`r1$$ == 1, {
           Text[
            Style["O", Large], $CellContext`x$$ + {0.5, -0.5}], 
           If[Norm[$CellContext`x$$ - {-4, -3}] > 0.1, {{Red, 
              Text[
               Style[
               "\!\(\*OverscriptBox[\(a\), \(\[RightVector]\)]\)", Large], 
               Dot[{-4, -3} - $CellContext`x$$, {{0, -1}, {1, 0}}]/
                Norm[{-4, -3} - $CellContext`x$$] + ($CellContext`x$$ + {-4, \
-3})/2]}, {Red, 
              Arrow[{$CellContext`x$$, {-4, -3}}]}}], {Red, 
            Text[
             Style["\!\(\*OverscriptBox[\(b\), \(\[RightVector]\)]\)", Large],
              Dot[{4, -3} - $CellContext`x$$, {{0, -1}, {1, 0}}]/
              Norm[{4, -3} - $CellContext`x$$] + ($CellContext`x$$ + {4, -3})/
              2]}, {Red, 
            Arrow[{$CellContext`x$$, {4, -3}}]}, {Red, 
            Text[
             Style["\!\(\*OverscriptBox[\(c\), \(\[RightVector]\)]\)", Large],
              Dot[{1, 3} - $CellContext`x$$, {{0, -1}, {1, 0}}]/
              Norm[{1, 3} - $CellContext`x$$] + ($CellContext`x$$ + {1, 3})/
              2]}, {Red, 
            Arrow[{$CellContext`x$$, {1, 3}}]}, {Blue, 
            Arrow[{$CellContext`x$$, {1/3, -1}}]}}], 
         If[$CellContext`r2$$ == 1, {
           Text[
            Style["O", Large], $CellContext`x$$ + {0.5, -0.5}], {
            PointSize[Large], 
            Point[$CellContext`x$$]}}], 
         If[$CellContext`r3$$ == 1, 
          If[Norm[$CellContext`x$$ - {-4, -3}] > 0.1, {Blue, 
            Text[
             Style[
             "\!\(\*OverscriptBox[\(OG\), \
\(\[RightVector]\)]\)=\!\(\*FractionBox[\(\*OverscriptBox[\(a\), \(\
\[RightVector]\)] + \*OverscriptBox[\(b\), \(\[RightVector]\)] + \
\*OverscriptBox[\(c\), \(\[RightVector]\)]\), \(3\)]\)", Large], {-4, 4} + {
              0, 0.5}]}, {Blue, 
            Text[
             Style[
             "\!\(\*OverscriptBox[\(AG\), \
\(\[RightVector]\)]\)=\!\(\*FractionBox[\(\*OverscriptBox[\(b\), \(\
\[RightVector]\)] + \*OverscriptBox[\(c\), \(\[RightVector]\)]\), \(3\)]\)", 
              Large], {-4, 4} + {0, 0.5}]}]]}, 
        If[$CellContext`r4$$ == 1, {GridLines -> {
            Range[-10, 10, 1], 
            Range[-6, 6, 1]}, GridLinesStyle -> Dotted, 
          PlotRange -> {{-10, 10}, {-8, 8}}}, 
         PlotRange -> {{-10, 10}, {-8, 8}}], ImageSize -> Large], 
      "Specifications" :> {{{$CellContext`r2$$, 0, "\:70b9O"}, {0, 
         1}}, {{$CellContext`r1$$, 1, 
          "\:4f4d\:7f6e\:30d9\:30af\:30c8\:30eb"}, {0, 
         1}}, {{$CellContext`r3$$, 0, 
          "\!\(\*OverscriptBox[\(OG\), \(\[RightVector]\)]\)"}, {0, 
         1}}, {{$CellContext`r4$$, 0, "\:683c\:5b50"}, {0, 
         1}}, {{$CellContext`x$$, {0, 0}}, Automatic, ControlType -> 
         Locator}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{569., {272., 279.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.622857473635497*^9, 3.6228575945354967`*^9, 
  3.6228700546460443`*^9}]
}, {2}]]
}, Open  ]]
},
WindowSize->{1350, 685},
WindowMargins->{{-8, Automatic}, {Automatic, 0}},
Magnification->0.8999999761581421,
FrontEndVersion->"10.0 for Microsoft Windows (32-bit) (2014\:5e747\:67089\
\:65e5)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 262, 4, 65, "Subtitle"],
Cell[CellGroupData[{
Cell[866, 30, 10038, 231, 249, "Input"],
Cell[10907, 263, 4629, 91, 394, "Output"]
}, {2}]]
}, Open  ]],
Cell[CellGroupData[{
Cell[15582, 360, 4163, 62, 60, "Subtitle"],
Cell[CellGroupData[{
Cell[19770, 426, 14646, 345, 378, "Input"],
Cell[34419, 773, 4895, 101, 394, "Output"]
}, {2}]]
}, Open  ]],
Cell[CellGroupData[{
Cell[39360, 880, 1417, 37, 97, "Subtitle"],
Cell[CellGroupData[{
Cell[40802, 921, 20089, 477, 444, "Input"],
Cell[60894, 1400, 5759, 119, 566, "Output"]
}, {2}]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
